<%@ page import="jetbrains.buildServer.web.openapi.healthStatus.HealthStatusItemDisplayMode"%>
<%@ include file="/include-internal.jsp"%>
<jsp:useBean id="healthStatusItem" type="jetbrains.buildServer.serverSide.healthStatus.HealthStatusItem" scope="request"/>
<jsp:useBean id="showMode" type="jetbrains.buildServer.web.openapi.healthStatus.HealthStatusItemDisplayMode" scope="request"/>
<c:set var="globalMode" value="<%=HealthStatusItemDisplayMode.GLOBAL%>"/>
<style type="text/css">
  <jsp:include page="aliasItemHealthItem.css"/>
</style>
<script type="text/javascript">
  <jsp:include page="aliasItemHealthItem.js"/>
</script>
<c:set var="mainUserGroupProvider" value="${healthStatusItem.additionalData['mainUserGroupProvider']}"/>
<%--@elvariable id="mainUserGroupProvider" type="com.jetbrains.teamcity.ring.web.healthReports.aliasAccounts.BaseAliasItemsReport.MainItemProvider<jetbrains.buildServer.groups.SUserGroup>"--%>
<c:set var="mainUserGroup" value="${mainUserGroupProvider.value}"/>
<c:choose>
  <c:when test="${showMode eq globalMode}">
    <c:set var="aliasUserGroups" value="${healthStatusItem.additionalData['aliasUserGroups']}"/>
    <form id="aliasGroupForm-${mainUserGroup.key}" action="#">
      <span>User group <bs:editGroupLink group="${mainUserGroup}"/> has the following aliases:</span><br/><br/>
      <table class="aliasTable">
        <c:forEach items="${aliasUserGroups}" var="aliasUserGroup">
          <%--@elvariable id="aliasUserGroup" type="jetbrains.buildServer.groups.SUserGroup"--%>
          <tr>
            <td>
              <span><bs:editGroupLink group="${aliasUserGroup}"/></span>
            </td>
            <td class="actionTD">
              &nbsp;
              <div class="itemAction">
                <input type="button" class="btn btn_mini" value="Make main" onclick="return BS.AliasItem.makeMain('Group', '${aliasUserGroup.key}', '${mainUserGroup.key}');"/>
                <forms:progressRing id="makeMainGroupProgress-${aliasUserGroup.key}" style="display: none; float: none;"/>
              </div>
            </td>
          </tr>
        </c:forEach>
      </table>
      <br/>
      <div>
        <input type="button" class="btn btn_primary" value="Delete alias accounts" onclick="return BS.AliasItem.deleteAliases('Group', '${mainUserGroup.key}');"/>
        <forms:progressRing id="deleteAliasesGroupProgress-${mainUserGroup.key}" style="display: none; float: none;"/>
      </div>
    </form>
  </c:when>
  <c:otherwise>
    <span>User group <bs:editGroupLink group="${mainUserGroup}"/> has aliases (<a href='<c:url value="/admin/admin.html?item=healthStatus#minSeverity=WARN&scopeProjectId=__GLOBAL__&selectedCategoryId=${healthStatusItem.category.id}"/>'>view details</a>)</span>
  </c:otherwise>
</c:choose>
