<%@ page import="jetbrains.buildServer.web.openapi.healthStatus.HealthStatusItemDisplayMode"%>
<%@ include file="/include-internal.jsp"%>
<jsp:useBean id="healthStatusItem" type="jetbrains.buildServer.serverSide.healthStatus.HealthStatusItem" scope="request"/>
<jsp:useBean id="showMode" type="jetbrains.buildServer.web.openapi.healthStatus.HealthStatusItemDisplayMode" scope="request"/>
<c:set var="globalMode" value="<%=HealthStatusItemDisplayMode.GLOBAL%>"/>
<style type="text/css">
  <jsp:include page="aliasItemHealthItem.css"/>
</style>
<script type="text/javascript">
  <jsp:include page="aliasItemHealthItem.js"/>
</script>
<c:set var="mainUserProvider" value="${healthStatusItem.additionalData['mainUserProvider']}"/>
<%--@elvariable id="mainUserProvider" type="com.jetbrains.teamcity.ring.web.healthReports.aliasAccounts.BaseAliasItemsReport.MainItemProvider<jetbrains.buildServer.users.SUser>"--%>
<c:set var="mainUser" value="${mainUserProvider.value}"/>
<c:choose>
  <c:when test="${showMode eq globalMode}">
    <c:set var="aliasUsers" value="${healthStatusItem.additionalData['aliasUsers']}"/>
    <form id="aliasUserForm-${mainUser.id}" action="#">
      <span>User <bs:editUserLink user="${mainUser}"/> has the following aliases:</span><br/><br/>
      <table class="aliasTable">
        <c:forEach items="${aliasUsers}" var="aliasUser">
          <%--@elvariable id="aliasUser" type="jetbrains.buildServer.users.SUser"--%>
          <tr>
            <td>
              <span><bs:editUserLink user="${aliasUser}"/></span>
            </td>
            <td class="actionTD">
              &nbsp;
              <div class="itemAction">
                <input type="button" class="btn btn_mini" value="Make main" onclick="return BS.AliasItem.makeMain('User', '${aliasUser.id}', '${mainUser.id}');"/>
                <forms:progressRing id="makeMainUserProgress-${aliasUser.id}" style="display: none; float: none;"/>
              </div>
            </td>
          </tr>
        </c:forEach>
      </table>
      <br/>
      <div>
        <input type="button" class="btn btn_primary" value="Delete alias accounts" onclick="return BS.AliasItem.deleteAliases('User', '${mainUser.id}');"/>
        <forms:progressRing id="deleteAliasesUserProgress-${mainUser.id}" style="display: none; float: none;"/>
      </div>
    </form>
  </c:when>
  <c:otherwise>
    <span>User <bs:editUserLink user="${mainUser}"/> has aliases (<a href='<c:url value="/admin/admin.html?item=healthStatus#minSeverity=WARN&scopeProjectId=__GLOBAL__&selectedCategoryId=${healthStatusItem.category.id}"/>'>view details</a>)</span>
  </c:otherwise>
</c:choose>
